<div>
    <h2 id="page-heading">
        <span jhiTranslate="gestioncvsApp.certification.home.title">Certifications</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-certification" [routerLink]="['/certification/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="gestioncvsApp.certification.home.createLabel">
            Create a new Certification
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="certifications?.length === 0">
        <span jhiTranslate="gestioncvsApp.certification.home.notFound">No certifications found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="certifications && certifications.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="intitule"><span jhiTranslate="gestioncvsApp.certification.intitule">Intitule</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="organisme"><span jhiTranslate="gestioncvsApp.certification.organisme">Organisme</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="anneeObtention"><span jhiTranslate="gestioncvsApp.certification.anneeObtention">Annee Obtention</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="domaine"><span jhiTranslate="gestioncvsApp.certification.domaine">Domaine</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="ressourceProposeId"><span jhiTranslate="gestioncvsApp.certification.ressourcePropose">Ressource Propose</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let certification of certifications ;trackBy: trackId">
                    <td><a [routerLink]="['/certification', certification.id, 'view']">{{ certification.id }}</a></td>
                    <td>{{ certification.intitule }}</td>
                    <td>{{ certification.organisme }}</td>
                    <td>{{ certification.anneeObtention | date:'medium' }}</td>
                    <td>{{ certification.domaine }}</td>
                    <td>
                        <div *ngIf="certification.ressourceProposeId">
                            <a [routerLink]="['/ressource-propose', certification.ressourceProposeId , 'view']" >{{ certification.ressourceProposeId }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/certification', certification.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/certification', certification.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(certification)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="certifications && certifications.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
